# Uses of Class
org.apache.sling.feature.extension.apiregions.api.config.ConfigurationApi

Packages that use ConfigurationApi
Package
Description
org.apache.sling.feature.extension.apiregions.api.config
org.apache.sling.feature.extension.apiregions.api.config.validation

## Uses of ConfigurationApi in org.apache.sling.feature.extension.apiregions.api.config

Methods in org.apache.sling.feature.extension.apiregions.api.config that return ConfigurationApi
Modifier and Type
Method
Description
`static ConfigurationApi`
ConfigurationApi.`getConfigurationApi(org.apache.sling.feature.Extension ext)`
Get the configuration api from the extension.
`static ConfigurationApi`
ConfigurationApi.`getConfigurationApi(org.apache.sling.feature.Feature feature)`
Get the configuration api from the feature - if it exists.
Methods in org.apache.sling.feature.extension.apiregions.api.config with parameters of type ConfigurationApi
Modifier and Type
Method
Description
`static void`
ConfigurationApi.`setConfigurationApi(org.apache.sling.feature.Feature feature, ConfigurationApi api)`
Set the configuration api as an extension to the feature

## Uses of ConfigurationApi in org.apache.sling.feature.extension.apiregions.api.config.validation

Methods in org.apache.sling.feature.extension.apiregions.api.config.validation with parameters of type ConfigurationApi
Modifier and Type
Method
Description
`FeatureValidationResult`
FeatureValidator.`validate(org.apache.sling.feature.Feature feature, ConfigurationApi api)`
Validate the feature against the configuration API